
Ruby - Misc #10608

OptionParser documentation improvements

12/17/2014 08:10 AM - JoelMcCracken (Joel McCracken)

Status: Closed   

Priority: Normal   

Assignee: zzak (zzak _)   

Description

I tried to document some undocumented features of the OptionParser class, as well as generally make things a little more

approachable.

Associated revisions

Revision ae0e6807696b3c7b3372619ec6408dfe83333210 - 01/12/2015 04:37 AM - hsbt (Hiroshi SHIBATA)

lib/optparse.rb: improvements for OptionParser documentation.

[misc #10608][ruby-core:66901][ci skip]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@49218 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision ae0e6807 - 01/12/2015 04:37 AM - hsbt (Hiroshi SHIBATA)

lib/optparse.rb: improvements for OptionParser documentation.

[misc #10608][ruby-core:66901][ci skip]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@49218 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision c84e62cd32af5a8407f07bdb0fa8a737492acffb - 12/08/2015 01:19 AM - nobu (Nobuyoshi Nakada)

optparse.rb: Fix typo [ci skip]

lib/optparse.rb: fix double word typo in the document.

[Misc #10608] [Fix GH-1126]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@52930 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision c84e62cd - 12/08/2015 01:19 AM - nobu (Nobuyoshi Nakada)

optparse.rb: Fix typo [ci skip]

lib/optparse.rb: fix double word typo in the document.

[Misc #10608] [Fix GH-1126]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@52930 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 01/12/2015 01:53 PM - hsbt (Hiroshi SHIBATA)

- Status changed from Open to Closed

Files

0001-Current-work-on-improving-option-parser.patch 12.3 KB 12/17/2014 JoelMcCracken (Joel McCracken)
